org.apache.lucene.queries.payloads

## Class SpanPayloadCheckQuery.SpanPayloadCheckWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.search.spans.SpanWeight
    - - org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.SpanPayloadCheckWeight

All Implemented Interfaces:
  SegmentCacheable

Enclosing class:
  SpanPayloadCheckQuery

    public class SpanPayloadCheckQuery.SpanPayloadCheckWeight
    extends SpanWeight

Weight that pulls its Spans using a PayloadSpanCollector

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.spans.SpanWeight

`SpanWeight.Postings`

### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

`Weight.DefaultBulkScorer`

### Field Summary

### Fields inherited from class org.apache.lucene.search.spans.SpanWeight

`field, similarity, simScorer`

### Fields inherited from class org.apache.lucene.search.Weight

`parentQuery`

### Constructor Summary

Constructors
Constructor and Description
`SpanPayloadCheckWeight(IndexSearcher searcher, Map<Term,TermStates> termStates, SpanWeight matchWeight, float boost)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `extractTerms(Set<Term> terms)`
`void` `extractTermStates(Map<Term,TermStates> contexts)`
`Spans` `getSpans(LeafReaderContext context, SpanWeight.Postings requiredPostings)`
`boolean` `isCacheable(LeafReaderContext ctx)`
`SpanScorer` `scorer(LeafReaderContext context)`

### Methods inherited from class org.apache.lucene.search.spans.SpanWeight

`explain, getSimScorer, matches`

### Methods inherited from class org.apache.lucene.search.Weight

`bulkScorer, getQuery, scorerSupplier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpanPayloadCheckWeight

    public SpanPayloadCheckWeight(IndexSearcher searcher,
                                  Map<Term,TermStates> termStates,
                                  SpanWeight matchWeight,
                                  float boost)
                           throws IOException

Throws:
  `IOException`

### Method Detail

#### extractTerms

    public void extractTerms(Set<Term> terms)

Specified by:
  `extractTerms` in class `Weight`

#### extractTermStates

    public void extractTermStates(Map<Term,TermStates> contexts)

Specified by:
  `extractTermStates` in class `SpanWeight`

#### getSpans

    public Spans getSpans(LeafReaderContext context,
                          SpanWeight.Postings requiredPostings)
                   throws IOException

Specified by:
  `getSpans` in class `SpanWeight`
Throws:
  `IOException`

#### scorer

    public SpanScorer scorer(LeafReaderContext context)
                      throws IOException

Overrides:
  `scorer` in class `SpanWeight`
Throws:
  `IOException`

#### isCacheable

    public boolean isCacheable(LeafReaderContext ctx)